package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmSygdMxLj对象")
public class DmSygdMxLj implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String dcch;

    @ApiModelProperty(value = "目标船号")
    private String mbch;

    @ApiModelProperty(value = "数据船号")
    private String sjch;

    @ApiModelProperty(value = "批量")
    private String pl;

    @ApiModelProperty(value = "分段")
    private String fd;

    @ApiModelProperty(value = "抛丸")
    private String pw;

    @ApiModelProperty(value = "领取类别")
    private String lqlb;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "物品材质")
    private String wpcz;

    @ApiModelProperty(value = "物品规格")
    private String wpgg;

    @ApiModelProperty(value = "板厚")
    private Double bh;

    @ApiModelProperty(value = "版长")
    private Double bc;

    @ApiModelProperty(value = "油漆油漆用量")
    private Double yqyl;

    @ApiModelProperty(value = "切割长度")
    private Double qgcd;

    @ApiModelProperty(value = "图纸编号")
    private String tzbh;

    @ApiModelProperty(value = "套料数量")
    private Double tlsl;

    @ApiModelProperty(value = "坡口类型")
    private String pklx;

    @ApiModelProperty(value = "曲标识")
    private String qbs;

    @ApiModelProperty(value = "坡口标识")
    private String pkbs;

    @ApiModelProperty(value = "坡口長度")
    private Double pkcd;

    @ApiModelProperty(value = "打磨标识")
    private String dmbs;

    @ApiModelProperty(value = "打磨长度")
    private Double dmcd;

    @ApiModelProperty(value = "装配顺序")
    private Integer zpsx;

    @ApiModelProperty(value = "零件编号")
    private String ljbh;

    @ApiModelProperty(value = "零件数量")
    private Double ljsl;

    @ApiModelProperty(value = "零件属性")
    private String ljsx;

    @ApiModelProperty(value = "单件面积")
    private Double djmj;

    @ApiModelProperty(value = "零件单重")
    private Double ljdz;

    @ApiModelProperty(value = "备料")
    private Double blgs;

    @ApiModelProperty(value = "抛丸")
    private Double pwgs;

    @ApiModelProperty(value = "理料")
    private Double llgs;

    @ApiModelProperty(value = "划线")
    private Double hxgs;

    @ApiModelProperty(value = "切割")
    private Double qggs;

    @ApiModelProperty(value = "坡口")
    private Double pkgs;

    @ApiModelProperty(value = "曲")
    private Double qgs;

    @ApiModelProperty(value = "打磨")
    private Double dmgs;

    @ApiModelProperty(value = "装配")
    private Double zpgs;

    @ApiModelProperty(value = "划线长度")
    private Double hxcd;

    @ApiModelProperty(value = "根数")
    private Double xcgs;

    @ApiModelProperty(value = "米数")
    private Double xcshms;

    @ApiModelProperty(value = "板材领取重量")
    private Double bclqzl;

    @ApiModelProperty(value = "板材实耗重量")
    private Double bcshzl;

    @ApiModelProperty(value = "板材余料重量")
    private Double bcylzl;

    @ApiModelProperty(value = "板材零件套料重量")
    private Double bcljtlzl;

    @ApiModelProperty(value = "前批余料代")
    private Double bcqpyld;

    @ApiModelProperty(value = "小组钢料需求期")
    private String xzglxq;

    @ApiModelProperty(value = "大组钢料需求期")
    private String dzglxq;

    @ApiModelProperty(value = "切割结束时间（零件加工需求时间）")
    private String qgjssj;

    @ApiModelProperty(value = "坡口开始时间")
    private String pkkssj;

    @ApiModelProperty(value = "曲加工开始时间")
    private String qkssj;

    @ApiModelProperty(value = "打磨开始时间")
    private String dmkssj;

    @ApiModelProperty(value = "工艺流程")
    private String gylc;

    @ApiModelProperty(value = "托盘信息")
    private String tpxx;

    private String parentId;

    private String ylbhgg;

    @TableField(exist = false)
    private String ylbs; //余料标识

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    public String getUniqueData(){
        return this.dcch+this.pl+this.tzbh;
    }
}
