package com.dsic.gj_erp.bean.pbsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xhj
 * @since 2024-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="MpYlxxp对象", description="")
public class MpYlxxp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "余料生成日期")
    @TableField("SCRQ")
    private String scrq;

    @ApiModelProperty(value = "余料使用日期")
    @TableField("SYRQ")
    private String syrq;

    @ApiModelProperty(value = "炉批号")
    @TableField("DC_LPH")
    private String dcLph;

    @ApiModelProperty(value = "工作中心")
    @TableField("GZZX")
    private String gzzx;

    @ApiModelProperty(value = "剩余材料存放_跨")
    @TableField("YLCJBM")
    private String ylcjbm;

    @ApiModelProperty(value = "剩余材料存放_垛位号")
    @TableField("YLKWH")
    private String ylkwh;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "组立")
    @TableField("DC_ZL")
    private String dcZl;

    @ApiModelProperty(value = "余料计量单位")
    @TableField("JLDW")
    private String jldw;

    @ApiModelProperty(value = "余料生成日期")
    @TableField("XGR")
    private String xgr;

    @ApiModelProperty(value = "余料生成日期")
    @TableField("XGRQ")
    private String xgrq;

    @TableId(value = "ylsxh", type = IdType.ASSIGN_UUID)
    private String ylsxh;

    private String tzbh1;

    private String ysrq;

    private String zt;

    private String hxbh;

    private BigDecimal ylzl;

    private String dcZl2;

    private Double ylzd4;

    private String wpxh;

    private String dcPl2;

    private BigDecimal t1;

    private String ylbh;

    private String ylzd1;

    private String dcCs;

    private BigDecimal sl;

    private String bzrq;

    private Double ylzd6;

    private String hxfl;

    private String bz;

    private BigDecimal l;

    private String dcTzbh2;

    private String ylzd3;

    @TableField("SYBS")
    private String sybs;

    private String dcHx;

    private Double xh;

    private String ylzd2;

    private String bzry;

    private String tzbh;

    private Double ylzd5;

    private String wpgg;

    private BigDecimal b1;

    private String dcCh2;


}
